import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class DhedgeV2ContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    dhedgeV2Factory({ address, network }: ContractOpts): import("./ethers").DhedgeV2Factory;
    dhedgeV2Token({ address, network }: ContractOpts): import("./ethers").DhedgeV2Token;
}
export type { DhedgeV2Factory } from './ethers';
export type { DhedgeV2Token } from './ethers';
